Name:           joda-timezones
Version:        2013d
Release:        2%{?dist}
Summary:        Timezone data for joda-time
License:        GPLv2 # ???
URL:            https://github.com/jruby/%{name}
Source0:        https://github.com/jruby/%{name}/archive/%{name}-%{version}.zip

# tzdata is downloaded as part of maven build,
# manually including here
Source1:        ftp://ftp.iana.org/tz/releases/tzdata2013d.tar.gz

BuildArch:      noarch
BuildRequires:  maven-local
BuildRequires:  exec-maven-plugin
BuildRequires:  joda-time

%description
Timezone data for joda-time.

%prep
%setup -q -n %{name}-%{name}-%{version}
%pom_remove_plugin org.codehaus.mojo:wagon-maven-plugin
%pom_remove_plugin org.codehaus.mojo:truezip-maven-plugin

mkdir -p target/tzdata
pushd target/tzdata
tar xzvf %{SOURCE1}
popd

%build
%mvn_build

%install
%mvn_install

%files  -f .mfiles
%dir %{_javadir}/%{name}

%changelog
* Tue Oct 14 2014 Mo Morsi <mmorsi@redhat.com> - 2013d-2 
- Fixed urls, adding missing BRs, fixed changelog
- Other updates to comply w/ Fedora guidelines

* Mon Oct 13 2014 Mo Morsi <mmorsi@redhat.com> - 2013d-1 
- Initial package 
